> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ton.org/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.ton.org/feedback

```json
{
  "path": "/ecosystem/api/toncenter/v3/multisig/get-multisig-orders",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get Multisig Orders

> Get multisig orders by specified filters



## OpenAPI

````yaml get /api/v3/multisig/orders
openapi: 3.0.0
info:
  title: TON Index (Go)
  description: >-
    TON Index collects data from a full node to PostgreSQL database and provides
    convenient API to an indexed blockchain.
  version: 1.2.4-rc
  contact: {}
servers:
  - url: https://toncenter.com
  - url: https://testnet.toncenter.com
security: []
paths:
  /api/v3/multisig/orders:
    get:
      tags:
        - Multisig
      summary: Get Multisig Orders
      description: Get multisig orders by specified filters
      operationId: api_v3_get_multisig_orders
      parameters:
        - name: address
          in: query
          description: 'Order address in any form. Max: 1024.'
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: multisig_address
          in: query
          description: 'Address of corresponding multisig. Max: 1024.'
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: parse_actions
          in: query
          description: Parser order actions
          schema:
            type: boolean
            default: false
        - name: limit
          in: query
          description: Limit number of queried rows. Use with *offset* to batch read.
          schema:
            type: integer
            format: int32
            default: 10
            minimum: 1
            maximum: 1024
        - name: offset
          in: query
          description: Skip first N rows. Use with *limit* to batch read.
          schema:
            type: integer
            format: int32
            default: 0
            minimum: 0
        - name: sort
          in: query
          description: Sort orders by last_transaction_lt.
          schema:
            type: string
            default: desc
            enum:
              - asc
              - desc
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MultisigOrderResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
      security: []
components:
  schemas:
    MultisigOrderResponse:
      type: object
      properties:
        address_book:
          $ref: '#/components/schemas/AddressBook'
        orders:
          type: array
          items:
            $ref: '#/components/schemas/MultisigOrder'
    RequestError:
      type: object
      properties:
        code:
          type: integer
        error:
          type: string
    AddressBook:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/AddressBookRow'
    MultisigOrder:
      type: object
      properties:
        actions:
          type: array
          items: 0812f621-bd72-484b-8f7a-47a4e52eecec
        address:
          type: string
        approvals_mask:
          type: string
        approvals_num:
          type: integer
        code_hash:
          type: string
        data_hash:
          type: string
        expiration_date:
          type: integer
        last_transaction_lt:
          type: string
          example: '0'
        multisig_address:
          type: string
        order_boc:
          type: string
        order_seqno:
          type: string
        sent_for_execution:
          type: boolean
        signers:
          type: array
          items:
            type: string
        threshold:
          type: integer
    AddressBookRow:
      type: object
      properties:
        domain:
          type: string
        interfaces:
          type: array
          items:
            type: string
        user_friendly:
          type: string

````